Skip to main content
`Ctrl`+`K`

# TaoLineSearchSetOptionsPrefix

Sets the prefix used for searching for all `TaoLineSearch` options in the database.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetOptionsPrefix(TaoLineSearch ls, const char p[])

Logically Collective

## Input Parameters

- ls - the `TaoLineSearch` context

- p - the prefix string to prepend to all `ls` option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

This is inherited from the `Tao` object so rarely needs to be set

For example, to distinguish between the runtime options for two different line searches, one could call

          TaoLineSearchSetOptionsPrefix(ls1,"sys1_")
          TaoLineSearchSetOptionsPrefix(ls2,"sys2_")

This would enable use of different options for each system, such as

          -sys1_tao_ls_type mt
          -sys2_tao_ls_type armijo

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchAppendOptionsPrefix()`, `TaoLineSearchGetOptionsPrefix()`

## Level

advanced

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages